org.eclipse.ease.ui.modules.ui

## Class ModulesTools

- java.lang.Object
- - org.eclipse.ease.ui.modules.ui.ModulesTools

    public class ModulesTools
    extends java.lang.Object

### Nested Class Summary

Nested Classes
`static class` `ModulesTools.ModuleEntry<T>`

### Method Summary

All Methods Static Methods Concrete Methods Deprecated Methods
`static ModuleDefinition` `getDeclaringModule(java.lang.reflect.Field field)` Get the module owning the field provided.
`static ModuleDefinition` `getDeclaringModule(java.lang.reflect.Method method)` Deprecated. Do not use as this method might yield wrong results!!!
`static int` `getOptionalParameterCount(java.lang.reflect.Method method)`
`static StyledString` `getSignature(java.lang.reflect.Method method, boolean useStyledReturnValue)` Generates the signature of the method.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getSignature

    public static StyledString getSignature(java.lang.reflect.Method method,
                                            boolean useStyledReturnValue)

Generates the signature of the method. Optional parameters are written in italic.

Parameters:
  `method` - inspected method
Returns:
  signature of method.

#### getDeclaringModule

    @Deprecated
    public static ModuleDefinition getDeclaringModule(java.lang.reflect.Method method)

Deprecated. Do not use as this method might yield wrong results!!!
Get the module owning the method provided.

Parameters:
  `method` - inspected method
Returns:
  module containing the method or null.

#### getDeclaringModule

    public static ModuleDefinition getDeclaringModule(java.lang.reflect.Field field)

Get the module owning the field provided.

Parameters:
  `field` - inspected field
Returns:
  module containing the field or null.

#### getOptionalParameterCount

    public static int getOptionalParameterCount(java.lang.reflect.Method method)